## dovecot 2.0.19

=== debian/changelog ===
dovecot (1:2.0.19-0ubuntu2) precise-proposed; urgency=low

  * Fix panic and core dump, cherry picked from upstream Mercurial.
    LP: #1018579

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 27 Jun 2012 16:35:37 -0400

dovecot (1:2.0.19-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #970782).
  * Merge from Debian testing, remaining changes:
    + Add mail-stack-delivery package:
      - Update d/rules
      - d/control: convert existing dovecot-postfix package to a dummy
        package and add new mail-stack-delivery package.
      - Update maintainer scripts.
      - Rename d/dovecot-postfix.* to debian/mail-stack-delivery.*
      - d/mail-stack-delivery.preinst: Move previously installed backups and
        config files to a new package namespace.
      - d/mail-stack-delivery.prerm: Added to handle downgrades.
    + Use Snakeoil SSL certificates by default:
      - d/control: Depend on ssl-cert.
      - d/dovecot-core.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - d/dovecot-core.ufw.profile: new ufw profile.
      - d/rules: install profile in dovecot-core.
      - d/control: dovecot-core - suggest ufw.
    + d/{control,rules}: enable PIE hardening.
    + d/dovecot-core.dirs: Added usr/share/doc/dovecot-core
    + Add apport hook:
      - d/rules, d/source_dovecot.py
    + Add upstart job:
      - d/rules, d/dovecot-core.dovecot.upstart, d/control,
        d/dovecot-core.dirs, dovecot-imapd.{postrm, postinst, prerm},
        d/dovecot-pop3d.{postinst, postrm, prerm}.
        d/mail-stack-deliver.postinst:
        Convert init script to upstart.
    + d/patches/fix-racey-restart.patch: Backported patch from current
      development release which ensures all child processes terminate prior
      to the main dovecot process.
    + debian/patches/CVE-2011-4318.patch: Dropped - applied upstream
    + d/control: Added Pre-Depends: dpkg (>= 1.15.6) to dovecot-dbg to support
      xz compression in Ubuntu.
    + d/control: Demote dovecot-common Recommends: to Suggests: to prevent
      install of extra packages on upgrade.
  * d/patches/dovecot-drac.patch: Updated with version for dovecot >= 2.0.0.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Apr 2012 14:56:38 +0100

dovecot (1:2.0.15-1ubuntu5) precise; urgency=low

  * SECURITY UPDATE: Incorrect cert Common Name verification when proxying
    - debian/patches/CVE-2011-4318.patch: correctly validate Common Name
      when a hostname is specified in src/login-common/{login-proxy.c,
      ssl-proxy.*,ssl-proxy-openssl.c}.
    - CVE-2011-4318

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Dec 2011 14:34:36 -0500

dovecot (1:2.0.15-1ubuntu4) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:39:55 -0700

dovecot (1:2.0.15-1ubuntu3) precise; urgency=low

  * Rebuild for libmysqlclient transition.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 16:38:01 -0800

dovecot (1:2.0.15-1ubuntu2) precise; urgency=low

  * Resolve issue with intermittent restart failures (LP: #873390):
    - d/patches/fix-racey-restart.patch: Backported patch from current 
      development release which ensures all child processes terminate prior
      to the main dovecot process. 

 -- James Page <james.page@ubuntu.com>  Fri, 11 Nov 2011 14:38:41 +0000

dovecot (1:2.0.15-1ubuntu1) precise; urgency=low

  * Merge from Debian Testing, remaining changes:
    + Add mail-stack-delivery package:
      - Update d/rules
      - d/control: convert existing dovecot-postfix package to a dummy
        package and add new mail-stack-delivery package.
      - Update maintainer scripts.
      - Rename d/dovecot-postfix.* to debian/mail-stack-delivery.*
      - d/mail-stack-delivery.preinst: Move previously installed backups and 
        config files to a new package namespace.
      - d/mail-stack-delivery.prerm: Added to handle downgrades.
    + Use Snakeoil SSL certificates by default:
      - d/control: Depend on ssl-cert.
      - d/dovecot-core.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - d/dovecot-core.ufw.profile: new ufw profile.
      - d/rules: install profile in dovecot-core.
      - d/control: dovecot-core - suggest ufw.
    + d/{control,rules}: enable PIE hardening.
    + d/dovecot-core.dirs: Added usr/share/doc/dovecot-core
    + Add apport hook:
      - d/rules, d/source_dovecot.py
    + Add upstart job:
      - d/rules, d/dovecot-core.dovecot.upstart, d/control,
        d/dovecot-core.dirs, dovecot-imapd.{postrm, postinst, prerm},
        d/dovecot-pop3d.{postinst, postrm, prerm}. 
        d/mail-stack-deliver.postinst:
        Convert init script to upstart.
  * d/01-mail-stack-delivery.conf: Add postfix->dovecot auth listener
    to mail-stack-delivery configuration (LP: #874135).
  * d/mail-stack-delivery.{postinst,postrm}: Restart dovecot to pickup/drop
    mail-stack-delivery configuration (LP: #870244).
  * d/control: Added Pre-Depends: dpkg (>= 1.15.6) to dovecot-dbg to support
    xz compression in Ubuntu.
  * d/control: Demote dovecot-common Recommends: to Suggests: to prevent
    install of extra packages on upgrade.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Oct 2011 15:54:40 +0100
