=== debian/watch ===
# watch control file for uscan
version=3
# Site                                      Version Script
http://dovecot.org/releases/2.0/dovecot-(.*\.[0-9]+)\.tar\.gz debian uupdate
