## dovecot 2.1.3

=== debian/changelog ===
dovecot (1:2.1.3-1) experimental; urgency=low

  * [49ecc33] Imported upstream 2.1.3

 -- Micah Anderson <micah@debian.org>  Fri, 16 Mar 2012 22:04:46 -0400

dovecot (1:2.1.2-1) experimental; urgency=low

  * [70c3f6e] Imported upstream 2.1.2
  * [75cc17b] Add missing dependency on dpkg-dev 1.16.1

 -- Micah Anderson <micah@debian.org>  Thu, 15 Mar 2012 20:26:35 -0400

dovecot (1:2.1.1-1) experimental; urgency=low

  * [c16887c] Updated pigeonhole patch to 0.3.0, supporting 2.1
  * [ed2a7e4] Imported upstream 2.1.1

 -- Micah Anderson <micah@debian.org>  Tue, 13 Mar 2012 23:08:06 -0400
