## dovecot 2.1.7

=== debian/changelog ===
dovecot (1:2.1.7-7ubuntu1) raring; urgency=low

  [ James Page ]
  * Merge from Debian unstable (LP: #1117613, #1075456), remaining changes:
    + Add mail-stack-delivery package:
      - Update d/rules
      - d/control: convert existing dovecot-postfix package to a dummy
        package and add new mail-stack-delivery package.
      - Update maintainer scripts.
      - Rename d/dovecot-postfix.* to debian/mail-stack-delivery.*
      - d/mail-stack-delivery.preinst: Move previously installed backups and
        config files to a new package namespace.
      - d/mail-stack-delivery.prerm: Added to handle downgrades.
    + Use Snakeoil SSL certificates by default:
      - d/control: Depend on ssl-cert.
      - d/dovecot-core.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - d/dovecot-core.ufw.profile: new ufw profile.
      - d/rules: install profile in dovecot-core.
      - d/control: dovecot-core - suggest ufw.
    + d/dovecot-core.dirs: Added usr/share/doc/dovecot-core
    + Add apport hook:
      - d/rules, d/source_dovecot.py
    + Add upstart job:
      - d/rules, d/dovecot-core.dovecot.upstart, d/control,
        d/dovecot-core.dirs, dovecot-imapd.{postrm, postinst, prerm},
        d/dovecot-pop3d.{postinst, postrm, prerm}.
        d/mail-stack-deliver.postinst: Convert init script to upstart.
    + d/control: Added Pre-Depends: dpkg (>= 1.15.6) to dovecot-dbg to support
      xz compression in Ubuntu.
    + d/control: Demote dovecot-common Recommends: to Suggests: to prevent
      install of extra packages on upgrade.
    + d/patches/dovecot-drac.patch: Updated with version for dovecot >= 2.0.0.
  * Dropped changes, included in Debian:
    + d/{control,rules}: enable PIE hardening.
    + d/control: Drop B-D on systemd.
  * d/p/mail-stack-delivery.postinst: Updated to ensure that configured SSL
    cert and key locations are used when configuring postfix, sorted out
    formatting.
  * d/p/dovecot-core.postinst: Create compat links to old style, existing
    SSL cert and key if found.
  * d/rules: Don't pass hardening flags for DRAC plugin.
  * d/dovecot-{pop3d,imapd}.prerm: Re-sync with Debian.
  * d/dovecot-core.lintian-overrides: Drop override for DRAC plugin as not
    required in Ubuntu.
  * d/01-mail-stack-delivery: Renamed 99-mail-stack-delivery to ensure that
    the mail-stack-delivery configuration overrides configuration options
    set elsewhere, updated with new cert/key file locations.

  [ Ante Karamatic ]
  * Change configuration file for LDA on new installs and upgrades
    (LP: #671065).

 -- James Page <james.page@ubuntu.com>  Mon, 11 Feb 2013 12:41:24 +0000

dovecot (1:2.1.7-7) unstable; urgency=high

  * If you are upgrading from stable or earlier versions of this package
    from testing/unstable please carefully read
    /usr/share/doc/dovecot-core/README.Debian.gz for important information
    about changes.
  * [0d74b31] Move Breaks/Replaces mailavenger from dovecot-common to
    dovecot-core (Closes: #694376)
  * [a8030a1] Revamped dovecot-cores README.Debian by adding any info I could
    think of in order to ease upgrade problems. (Closes: #696820)
  * [04798d3] Don't touch 10-ssl.conf at all.  Eventually I will DTRT with
    regards to the default generated ssl certificates but in the mean time
    this will do the least mischief.  (Closes: #696817)
  * [fde17d1] Patch to make /etc/dovecot/readme point to the right place for
    the example configuration.  (Closes: #698941)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 04 Feb 2013 16:27:17 -0500

dovecot (1:2.1.7-6) unstable; urgency=high

  * WARNING: in order to get this package into wheezy some functionality
    from the previous release had to be removed.  Namely:
    - TCP Wrappers support
    - Hurd compatability support
    - Triggers  
    All this will be coming back in the next version but for now, if you need
    any of it, stick with -5.
  * [1f869e0] NEWS.Debian was not getting added to the package (Closes: #693621)
  * [564c5e2] Add breaks and replaces mailavenger for debian-common
    (Closes: #694376)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 14 Dec 2012 17:01:33 -0500

dovecot (1:2.1.7-5) unstable; urgency=high

  * [132bc3b] Remove call to ntp-wait in init script.  Dovecot handles a 
    skewed clock much better now.  (Closes: #693225)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 14 Nov 2012 14:45:29 -0500

dovecot (1:2.1.7-4) unstable; urgency=high

  * [68ef7ad] piuparts complained /etc/dovecot/private was left unowned on
    purge which is against policy (Closes: #692944)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 11 Nov 2012 23:45:07 -0500

dovecot (1:2.1.7-3) unstable; urgency=high

  [ Jaldhar H. Vyas ]
  * [03d5499] Do not generate new dovecot cert if key or cert is already
    present (Closes: #685896,#631257) Thanks to Alexander Ufimtsev
    <alexu@ucd.ie> and Jörg-Volker Peetz <jvpeetz@web.de> for patches.
  * [5be6c2a] You should be able to upgrade and remove dovecot-managesieved
    without errors (Closes: #665487)
  * [1a9ad5c] Fixes instances where UTF-8 was misused instead of mUTF-7
    (Closes: #680035)
  * [c0ac3ba] Backport of fix for failure to autocreate mailboxes
    (Closes: #623440) This also requires setting the default mail_location.
  * [ba1d3f5] Fix FTBS on Hurd (Closes: #686931) via upstream patch backported
    from mercurial.
  * [cfa92b5] Upgrade pigeonhole page to 0.3.1 (Closes: #688407)
  * [58f01c2] Generated certificates will now be created in /etc/dovecot
    (Closes: #608719)
  * [8e40ea5] Patch to build with PIE and bindnow
    by intrigeri@debian.org (Closes: #679017)
  * [87d982b] Use libwrap (Closes: #685850)
  * [ebb5421] Start after nslcd (Closes: #692632)
  * [2db5c1a] Add support for dpkg triggers.  This means dovecot will not be
    repeatedly restarted when installing or removing lots of plugins
    (Closes: #601744)

