=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>, Fabio Tranchitella <kobold@debian.org>, Joel Johnson <mrjoel@lixil.net>, Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 7.2.3~), dpkg-dev (>= 1.16.1), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev, libcurl4-gnutls-dev, libexpat-dev
+Build-Depends: debhelper (>= 7.2.3~), dpkg-dev (>= 1.16.1), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev, libcurl4-gnutls-dev, libexpat-dev, hardening-wrapper
 Standards-Version: 3.9.3
 Homepage: http://dovecot.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/dovecot.git
@@ -14,19 +15,19 @@
 Priority: extra
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core
-Recommends: dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap
-Suggests: dovecot-managesieved
+Suggests: dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap, dovecot-managesieved
 Description: Transitional package for dovecot
  This is a transitional package for dovecot, and can be safely removed
  after the installation is complete.
 
 Package: dovecot-core
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020)
-Suggests: ntp, dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap, dovecot-imapd, dovecot-pop3d, dovecot-lmtpd, dovecot-managesieved, dovecot-solr
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020), ssl-cert (>= 1.0-11ubuntu1), lsb-base (>= 3.2-12ubuntu3)
+Suggests: ntp, dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap, dovecot-imapd, dovecot-pop3d, dovecot-lmtpd, dovecot-managesieved, dovecot-solr, ufw
+Recommends: ntpdate
 Provides: dovecot-common
-Replaces: dovecot-common (<< 1:2.0.14-2~)
-Breaks: dovecot-common (<< 1:2.0.14-2~)
+Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
+Breaks: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
 Description: secure mail server that supports mbox, maildir, dbox and mdbox mailboxes
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify that
@@ -180,6 +181,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}, dovecot-core (= ${binary:Version})
 Description: debug symbols for Dovecot
  Dovecot is a mail server whose major goals are security and extreme
@@ -188,3 +190,27 @@
  pretty fast, extensible, and portable.
  .
  This package contains debug symbols for Dovecot.
+
+Package: mail-stack-delivery
+Architecture: all
+Depends: dovecot-core, dovecot-imapd, dovecot-pop3d, dovecot-managesieved,
+ postfix, ${misc:Depends}
+Replaces: dovecot-postfix (<< 1:1.2.12-0ubuntu1~)
+Description: mail server delivery agent stack provided by Ubuntu server team
+ Ubuntu's mail stack provides fully operational delivery with
+ safe defaults and additional options. Out of the box it supports IMAP,
+ POP3 and SMTP services with SASL authentication and Maildir as default
+ storage engine.
+ .
+ This package contains configuration files for dovecot.
+ .
+ This package modifies postfix's configuration to integrate with dovecot
+
+Package: dovecot-postfix
+Architecture: all
+Depends: ${misc:Depends}, mail-stack-delivery
+Description: mail server delivery agent stack provided by Ubuntu server team
+ Ubuntu's mail stack provides fully operational delivery agent with
+ safe defaults and additional options. Out of the box it supports IMAP,
+ POP3 and SMTP services with SASL authentication and Maildir as default
+ storage engine.
