=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 export DEB_BUILD_HARDENING=1
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
 
 PIGEONHOLE_DIR=pigeonhole
 
@@ -24,7 +26,7 @@
 config-stamp: configure
 	dh_testdir
 	# Dovecot
-	$(shell dpkg-buildflags --export=configure) sh configure \
+	$(shell $(dpkg_buildflags) --export=configure) sh configure \
 	            --with-ldap=plugin \
 	            --with-ssl=openssl \
 	            --with-sql=plugin \
@@ -44,12 +46,13 @@
 	            --infodir=\$${prefix}/share/info \
 	            --with-moduledir=\$${prefix}/lib/dovecot/modules \
 	            --disable-rpath \
+	            --with-systemdsystemunitdir=auto \
 	            --disable-static
 	$(MAKE) dovecot-config
 	# Pigeonhole
 	(cd $(PIGEONHOLE_DIR)/ && \
 	    touch stamp.h.in && \
-	    $(shell dpkg-buildflags --export=configure) sh configure \
+	    $(shell $(dpkg_buildflags) --export=configure) sh configure \
 	    --with-dovecot=../ \
 		--prefix=/usr \
 		--sysconfdir=/etc \
@@ -66,7 +69,7 @@
 	# Pigeonhole
 	$(MAKE) -C $(PIGEONHOLE_DIR)
 	# DRAC
-	$(MAKE) -C src/plugins/drac
+	$(MAKE) -C src/plugins/drac $(shell dpkg-buildflags --export=configure)
 	touch build-stamp
 
 clean:
@@ -154,7 +157,3 @@
 	mv $(CURDIR)/debian/dovecot-core/usr/bin/sieve* $(CURDIR)/debian/dovecot-sieve/usr/bin
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/modules/lib??_sieve* $(CURDIR)/debian/dovecot-sieve/usr/lib/dovecot/modules
 	mv $(CURDIR)/debian/dovecot-core/usr/lib/dovecot/libdovecot-sieve* $(CURDIR)/debian/dovecot-sieve/usr/lib/dovecot
-	mv $(CURDIR)/debian/dovecot-core/usr/share/dovecot/conf.d/*-sieve.conf $(CURDIR)/debian/dovecot-sieve/usr/share/dovecot/conf.d
-	mv $(CURDIR)/debian/dovecot-core/usr/share/man/man1/sieve* $(CURDIR)/debian/dovecot-sieve/usr/share/man/man1
-
-	# solr
